{
  "format_version": "1.19.0",
  "animation_controllers": {
    "controller.animation.tsu_morph.camel.movement": {
      "initial_state": "init",
      "states": {
        "init": {
          "animations": [
            {
              "walk": "q.modified_move_speed"
            },
            "idle",
            "look_at_target"
          ],
          "transitions": [
            {
              "sit_down": "q.is_sneaking && !q.is_moving"
            }
          ],
          "blend_transition": 0.0
        },
        "sit_down": {
          "animations": [
            "sit_down"
          ],
          "transitions": [
            {
              "init": "!q.is_sneaking || q.is_moving"
            },
            {
              "sitting": "q.all_animations_finished && q.is_sneaking"
            }
          ],
          "blend_transition": 0.2
        },
        "sitting": {
          "animations": [
            "sitting",
            "idle",
            "look_at_target"
          ],
          "transitions": [
            {
              "stand_up": "!q.is_sneaking || q.is_moving"
            }
          ],
          "blend_transition": 0.0
        },
        "stand_up": {
          "animations": [
            "stand_up"
          ],
          "transitions": [
            {
              "sit_down": "q.is_sneaking && !q.is_moving"
            },
            {
              "init": "q.all_animations_finished"
            }
          ],
          "blend_transition": 0.2
        }
      }
    }
  }
}